/*
	File:		MyApplication Shell (2.0).h
	
	Contains:	My Application Shell.

	Written by:	John Wang

	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		<1>		03/14/94	JW		Re-Created for Universal Headers.

	To Do:
	
*/

#ifdef THINK_C
#define		applec
#endif

#ifndef _MyCaptureAppShell_
#define _MyCaptureAppShell_

#define		topLeft(r)		(((Point *) &(r))[0])
#define		botRight(r)		(((Point *) &(r))[1])

#define		kMENUBAR					128
#define		kMENU_APPLEID				128

#define		kMENU_FILEID				129
#define		kMENU_FILENEW				1
#define		kMENU_FILECLOSE				2
#define		kMENU_FILEQUIT				4

#define		kMENU_SETTINGSID			130

#define		kMENU_RESIZEID				131

#define		kMENU_SPECIALID				132
#define		kMENU_SPECIALHOGPROCESSOR	1
#define		kMENU_SPECIALPROCESSMOVIE	2
#define 	kMENU_SPECIALINITEM			3
#define		kMENU_SPECIALSWITCHGOUT		4

#define		kMENU_RECORDID				133
#define		kMENU_RECORDSTART			1

#define		kALERT_ABOUT				128
#define		kALERT_ERROR				129

/* ------------------------------------------------------------------------- */

extern WindowPtr	gWin;
extern GWorldPtr	gRecognizeThis;

void			main(void);

void			Initialize(void);
void			DoCommand(long mResult);
void			AdjustMenus(void);
void			Finishup(void);

pascal OSErr	AEOpenHandler(AppleEvent *messagein, AppleEvent *reply, long refIn);
pascal OSErr	AEOpenDocHandler(AppleEvent *messagein, AppleEvent *reply, long refIn);
pascal OSErr	AEPrintHandler(AppleEvent *messagein, AppleEvent *reply, long refIn);
pascal OSErr	AEQuitHandler(AppleEvent *messagein, AppleEvent *reply, long refIn);

#endif
/*#ifndef _MyCaptureAppShell_*/
